Subject: Re: bug#32992: 27.0.50; Malfunctioning Cursor display

From: Mauro Aranda <[email-masked]>
Date: Mon, 8 Oct 2018 17:45:25 -0300

2018-10-08 17:11 GMT-03:00, Eli Zaretskii <[email-masked]>:
>> From: Mauro Aranda <[email-masked]>
>> Date: Mon, 8 Oct 2018 15:45:59 -0300
>>
>> This happens to me with the latest master :
>>
>> Start emacs: emacs -Q
>> Since start I cannot see the cursor blinking.
>> If I type something: a or C-b, for example, then the cursor stops
>> being displayed
>> immediately and I can't see where point is anymore.
>> If I type: C-x b I can see the cursor as a hollow box, like expected,
>> but when I select the window (typing C-g, for example), cursor
>> disappears again.
>
> Not reproducible here (but I'm not on GNU/Linux).
>
> Could this be the result of recent changes in time-related functions?
> Can you try bisecting?
>
> Thanks.
>

I compiled commit 84f39d3... and the cursor displays correctly.
But with commit 93fe420... the problem arises.

I hope that information is useful.